################################################################################
#                                                                              #
#                This file is part of the Buildbotics firmware.                #
#                                                                              #
#                  Copyright (c) 2015 - 2018, Buildbotics LLC                  #
#                             All rights reserved.                             #
#                                                                              #
#     This file ("the software") is free software: you can redistribute it     #
#     and/or modify it under the terms of the GNU General Public License,      #
#      version 2 as published by the Free Software Foundation. You should      #
#      have received a copy of the GNU General Public License, version 2       #
#     along with the software. If not, see <http://www.gnu.org/licenses/>.     #
#                                                                              #
#     The software is distributed in the hope that it will be useful, but      #
#          WITHOUT ANY WARRANTY; without even the implied warranty of          #
#      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU       #
#               Lesser General Public License for more details.                #
#                                                                              #
#       You should have received a copy of the GNU Lesser General Public       #
#                License along with the software.  If not, see                 #
#                       <http://www.gnu.org/licenses/>.                        #
#                                                                              #
#                For information regarding this software email:                #
#                  "Joseph Coffland" <joseph@buildbotics.com>                  #
#                                                                              #
################################################################################

import subprocess

import bbctrl


class InputsPage(bbctrl.LCDPage):
    # From bbctrl.LCDPage
    def activate(self):
        state = self.lcd.ctrl.state

        self.clear()

        self.text('0123', 5, 0)
        self.text('Min:', 0, 1)
        self.text('Max:', 0, 2)

        for i in range(4):
            minSwitch = state.get('min-switch-' + i)
            maxSwitch = state.get('max-switch-' + i)

            self.text(' ', 5 + i, 1)
            self.text(' ', 5 + i, 2)
